For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • POSTCreate Company
              • GETGet Company Extra Fields
              • GETGet Company by User ID
              • GETList Company Users
              • GETValidate Frontend User Email
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyCompanies

List Company Users

GET
https://api-b2b.bigcommerce.com/api/v2/companies/:companyId/users
GET
/api/v2/companies/:companyId/users
$curl -G https://api-b2b.bigcommerce.com/api/v2/companies/123/users \
> -H "Authorization: Bearer <token>" \
> -d "role[]=0" \
> -d limit=10 \
> -d offset=0 \
> -d minLastModifiedTime=1618794615 \
> -d maxLastModifiedTime=1618794615 \
> -d minLastCreatedTime=1618794615 \
> -d maxLastCreatedTime=1618794615
200Retrieved
1{
2 "message": "string",
3 "code": 200,
4 "data": {
5 "list": [
6 {
7 "id": "123",
8 "role": "1",
9 "phoneNumber": "8001234567",
10 "createdAt": "1618794615",
11 "updatedAt": "1618794615",
12 "uuid": "string",
13 "catalogId": "123456",
14 "firstName": "Marie",
15 "lastName": "Curie",
16 "email": "m.curie@greatbuys.com"
17 }
18 ],
19 "pagination": {
20 "totalCount": 175,
21 "offset": 0,
22 "limit": 10
23 }
24 }
25}
Returns a list of users associated with a Company account. Equivalent Storefront GraphQL API Query: `users`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Get Company by User ID

Next

Validate Frontend User Email

Built with

Returns a list of users associated with a Company account.

Equivalent Storefront GraphQL API Query: users. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

companyIdstringRequired
The unique numeric ID of the Company account.

Query parameters

role[]enumOptional

The ID of the role assigned to the Company user account as defined at Specifying User Role.

Allowed values:
limitstringOptionalDefaults to 10
The total number of items per page of the response.
offsetstringOptional
The number of items to skip before the current page of the response.
qstringOptional
The search string for the request.
minLastModifiedTimestringOptional
The earliest [Unix timestamp](https://www.unixtimestamp.com/) for when the Company account was modified that can be returned.
maxLastModifiedTimestringOptional
The latest [Unix timestamp](https://www.unixtimestamp.com/) for when the Company account was modified that can be returned.
minLastCreatedTimestringOptional
The earliest [Unix timestamp](https://www.unixtimestamp.com/) for when the Company account was created that can be returned.
maxLastCreatedTimestringOptional
The earliest [Unix timestamp](https://www.unixtimestamp.com/) for when the Company account was created that can be returned.

Response

OK
messagestring
codedoubleDefaults to 200
dataobject

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

The earliest Unix timestamp for when the Company account was modified that can be returned.

The latest Unix timestamp for when the Company account was modified that can be returned.

The earliest Unix timestamp for when the Company account was created that can be returned.

The earliest Unix timestamp for when the Company account was created that can be returned.